Hi all,
I've got ruby 1.8.1 running on arm platform with no problems and to save space i decided to organize external  library using rubygems.
First of all i've installed rubygems 0.7.0 then i've started to install other library using the gem command line: 
  # gem -i log4r-1.0.5.gem
  # gem -i sws-0.3.gem
  ...

Everything installed succesfully but

any command i issue to test the installed package, i get this error:

# gem list
*** LOCAL GEMS ***
ERROR: While executing gem ... (NoMethodError)
undefined method 'loaded_from=' for nil::NilClass

# gem check --alien
Performing the 'alien' operation
ERROR: While executing gem ... (NoMethodError)
undefined method 'loaded_from=' for nil::NilClass

# gem uninstall sws
Attempting to uninstall gem 'sws'
ERROR: While executing gem ... (NoMethodError)
undefined method 'loaded_from=' for nil::NilClass

even worse, gems library (log4r, sws ...) that use 'require_gem' within their own script produce this error.

Is it a bug???

anyone know how to solve it?.

Any help would be appreciated.

thanks.

biospank.